Beefy Boxes and Bandwidth Generously Provided by pair Networks
Welcome to the Monastery
 
PerlMonks  

install gimp, gimp::fu

by dgdriscoll (Initiate)
on Dec 06, 2011 at 17:43 UTC ( #942070=perlquestion: print w/ replies, xml ) Need Help??
dgdriscoll has asked for the wisdom of the Perl Monks concerning the following question:

When I try to install the gimp module it wants gtk1.2. Gimp uses gtk2.something. When I try to install gtk1.2 on my machine it recognizes the host as "x86_64 linux" and stops because that's unsupported for 1.2. I'd like to stay with Perl if I can. I don't need a gui. How hard would it be to install the gimp modules without gtk support? Any other suggestions for getting Perl gimp modules and Gimp 2.6 to play nice together?

Thanks, dgd

Comment on install gimp, gimp::fu
Re: install gimp, gimp::fu
by pvaldes (Chaplain) on Dec 06, 2011 at 18:10 UTC

    try Gimp-2.2pre1

    "This version of the module only works for Gimp-2.2 and Gimp-2.3"

    "gimp-2.2 (or newer, e.g. CVS or CVS snapshots) is required"

    You will need also a couple of packages:

    apt-get install libextutils-pkgconfig-perl libextutils-depends-perl

      Thanks for your help. I installed the packages and then tried to install Gimp: . It failed tests 19-20 & 25-26 and exited without installing. I'm getting a feeling that it's just a bridge too far.

      dgd

        Thanks for your help. I installed the packages and then tried to install Gimp: . It failed tests 19-20 & 25-26 and exited without installing. I'm getting a feeling that it's just a bridge too far. dgd

        <lePetitSarcasm> it not possible module not updated since 2001 not pass all test, sacre bleu </lePetitSarcasm>

        It appears you're ahead of the game, you got the module to compile

        I say try the examples, and if they do what they say they're doing , go ahead and install, and run with it

        update: Or try http://search.cpan.org/~sjburges/Gimp/

        http://search.cpan.org/CPAN/authors/id/S/SJ/SJBURGES/Gimp-2.2pre1.tar.gz

        cpan SJBURGES/Gimp-2.2pre1.tar.gz

        http://web.archive.org/web/20110721134241/http://imagic.weizmann.ac.il/~dov/gimp/perl-tut-2.0/

        Works for me in a Debian Sid with Gimp 2.6:

        Cpan install Gimp::Eval Running make for S/SJ/SJBURGES/Gimp-2.2pre1.tar.gz ... Hopefully, Gimp is now correctly configured. you can now enter "make", + "make test" and "make install". ... make -- OK... All tests successful... make test -- OK... make install -- OK

Log In?
Username:
Password:

What's my password?
Create A New User
Node Status?
node history
Node Type: perlquestion [id://942070]
Approved by herveus
help
Chatterbox?
and the web crawler heard nothing...

How do I use this? | Other CB clients
Other Users?
Others rifling through the Monastery: (4)
As of 2014-09-24 05:22 GMT
Sections?
Information?
Find Nodes?
Leftovers?
    Voting Booth?

    How do you remember the number of days in each month?











    Results (246 votes), past polls